import { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl = 'https://gist.githubusercontent.com/curran/a9656d711a8ad31d812b8f9963ac441c/raw/267eac8b97d161c479d950ffad3ddd5ce2d1f370/MissingMigrants-Global-2019-10-08T09-47-14-subset.csv';



const row = d => {
  d.cord = d['Location Coordinates']
  d.lost = d['Total Dead and Missing']
  return d;
};

export const useCities = () => {
  const [data, setData] = useState(null);

  console.log(data&& data)
  
  useEffect(() => {
    csv(csvUrl, row).then(setData);
  }, []);

  return data;
};
